Bug 440393 - Review Request: python-lzo - Python bindings for lzo
Review Request: python-lzo - Python bindings for lzo
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 06:38 EDT by Huzaifa S. Sidhpurwala
Modified: 2008-05-27 07:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 07:42:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2008-04-03 06:38:53 EDT
Spec URL: http://huzaifas.fedorapeople.org/spec/python-lzo.spec
SRPM URL: http://huzaifas.fedorapeople.org/srpms/python-lzo-1.08-1.fc8.src.rpm
Koi Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=545850
Description: Python bindings for lzo compression libraries.
Comment 1 Parag AN(पराग) 2008-04-03 06:58:25 EDT
1)Remove 2 times written README from following line
%doc COPYING NEWS README README

2)Change %files section line from
%{python_sitelib}/lzo.so
to
%{python_sitelib}/*

3)You need to add
BuildRequires: python-setuptools-devel

4)License is GPLv2+
Comment 2 Parag AN(पराग) 2008-04-03 07:02:57 EDT
%install should have 
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

as per given in
http://fedoraproject.org/wiki/Packaging/Python#head-b0fc6f14e88db17db3633889f31880adcefb9cb8
Comment 3 Parag AN(पराग) 2008-04-03 07:36:56 EDT
I rechecked egginfo guidelines and found that you don't need 
BuildRequires: python-setuptools-devel
for F9 and above as its automatically generating egginfo

You need to provide egginfo for <F9 builds by following 
http://fedoraproject.org/wiki/Packaging/Python/Eggs#head-4ac98208bf2f5a13b9cd997c91e2e424f67a7e35

Comment 4 Parag AN(पराग) 2008-04-03 07:39:48 EDT
provide updated SRPM for further review.
Comment 5 Parag AN(पराग) 2008-04-03 22:46:53 EDT
for F8 build to generate egginfo you can change your spec to add build and
install sections as

%build
%if 0%{?fedora} > 8
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
%else
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")'
build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if 0%{?fedora} > 8
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%else
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1
--skip-build --root %{buildroot}
%endif
Comment 7 Parag AN(पराग) 2008-04-03 23:38:18 EDT
Review:
+ package builds in mock.
 Koji build =>
dist-f8 build: http://koji.fedoraproject.org/koji/taskinfo?taskID=547587
dist-f9 build: http://koji.fedoraproject.org/koji/taskinfo?taskID=547582
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
292a3b6cdaca606b917e7f6bf026fdad  python-lzo-1.08.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Package python-lzo-1.08-2.fc9=>
  Provides: lzo.so
  Requires: libc.so.6 libc.so.6(GLIBC_2.1.3) liblzo2.so.2 libpthread.so.0
libpython2.5.so.1.0 python(abi) = 2.5 rtld(GNU_HASH)
+ Not a GUI app.

APPROVED.
Comment 8 Huzaifa S. Sidhpurwala 2008-04-03 23:48:33 EDT
New Package CVS Request
=======================
Package Name: python-lzo
Short Description: Python bindings for lzo compression libraries
Owners: huzaifas
Branches:  F-8, F-9, EPEL-5
InitialCC: huzaifas
Cvsextras Commits: Yes
Comment 9 Kevin Fenzi 2008-04-04 12:12:18 EDT
cvs done.
Comment 10 Parag AN(पराग) 2008-04-27 06:26:25 EDT
Is this built for all requested branches so that we can close this review?
Comment 11 Parag AN(पराग) 2008-05-05 00:08:14 EDT
ping?
I can't see package built and tagged with .fc9 on koji
Comment 12 Huzaifa S. Sidhpurwala 2008-05-05 03:04:32 EDT
done

Note You need to log in before you can comment on or make changes to this bug.